Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss
Interface ApplicationContext

All Superinterfaces:
  java.lang.Cloneable, java.io.Serializable

All Known Implementing Classes:
  ApplicationContextImpl

public interface ApplicationContext
extends java.io.Serializable, java.lang.Cloneable

The ApplicationContext interface contains the URL and other system properties required to set up an initial connection with the JNDI provider into which the components in charge of that managed entity are registered.

Security Credentials are not passed.

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `getFactoryClass()` The name of the factory class required to setup the initial context with the JNDI provider.
`java.util.Map` | `getSystemProperties()` Other properties that may be necessary and vendor specific to setup an initial context with the JNDI Provider.
`java.lang.String` | `getURL()` The URL of the JNDI provider where the Home interfaces of the Session Bean(s) in charge of the entity could be found.
`void` | `setFactoryClass(java.lang.String factoryClassName)` Set the Factory Class Name.
`void` | `setSystemProperties(java.util.Map properties)` Set the System properties.
`void` | `setURL(java.lang.String URL)` Set the URL.

Method Detail

### clone

    public java.lang.Object clone()

  Returns:
    A deep copy of the ApplicationContext object.

### getFactoryClass

    public java.lang.String getFactoryClass()

  The name of the factory class required to setup the initial context with the JNDI provider.

  Returns:
    name of factory class

### getURL

    public java.lang.String getURL()

  The URL of the JNDI provider where the Home interfaces of the Session Bean(s) in charge of the entity could be found.

  Returns:
    URL of the JNDI provider

### getSystemProperties

    public java.util.Map getSystemProperties()

  Other properties that may be necessary and vendor specific to setup an initial context with the JNDI Provider.

  Returns:
    Map of system properties

### setFactoryClass

    public void setFactoryClass(java.lang.String factoryClassName)
                         throws java.lang.IllegalArgumentException

  Set the Factory Class Name.

  Parameters:
    `factoryClassName` -
  Throws:
    `java.lang.IllegalArgumentException`

### setSystemProperties

    public void setSystemProperties(java.util.Map properties)
                             throws java.lang.IllegalArgumentException

  Set the System properties.

  Parameters:
    `properties` -
  Throws:
    `java.lang.IllegalArgumentException`

### setURL

    public void setURL(java.lang.String URL)
                throws java.lang.IllegalArgumentException

  Set the URL.

  Parameters:
    `URL` -
  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD